# Flow Alert by ID `GET` `https://api.unusualwhales.com/api/option-trades/flow-alerts/{id}` Returns the trades that made up the specific alert. For multi leg flow alert trades it will return all the related multi leg trades. For alerts such as RepeatedHits it will return all the transactions that made up that alert. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `id` | string | Yes | The UUID of the flow alert | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `older_than` | OlderThan | No | The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with `newer_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `alert` | object | The flow alert object | | `has_more` | boolean | Indicates whether there are more trades than returned | | `trades` | array[object] | List of option trades associated with this flow alert | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/option-trades/flow-alerts/{id}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/option-trades/flow-alerts/{id}", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "alert": { "all_opening_trades": false, "ask": "2.1", "bid": "1.85", "created_at": "2026-03-11T15:17:55.477300Z", "end_time": 1773242266346, "expiry": "2026-04-17", "expiry_count": 1, "has_floor": true, "has_multileg": true, "has_singleleg": false, "has_sweep": false, "id": "ae47f719-7131-4816-b9f5-8bd35de90ddc", "iv_end": "0.520552934579374", "iv_start": "0.520552934579374", "open_interest": 5452, "option_chain": "DINO260417C00060000", "price": "2", "rule_id": "d9769fb4-003b-49e4-9181-c78c9cc101f5", "start_time": 1773242266346, "strike": "60", "ticker": "DINO", "total_ask_side_prem": "474200", "total_bid_side_prem": "0", "total_premium": "474200", "total_size": 2371, "trade_count": 2, "type": "call", "underlying_price": "55.555", "volume": 2505, "volume_oi_ratio": "0.459464416727806" }, "has_more": false, "trades": [ { "underlying_symbol": "DINO", "open_interest": 2533, "ask_vol": 2481, "ewma_nbbo_bid": "0.40", "bid_vol": 19, "option_type": "call", "delta": "0.1259692093444437", "ewma_nbbo_ask": "0.65", "multi_vol": 2500, "implied_volatility": "0.585444300420791", "theo": "0.599999999999996", "stock_multi_vol": 0, "theta": "-0.02899721099905604", "gamma": "0.01998647589382455", "option_chain_id": "DINO260417C00070000", "premium": "142260.00", "id": "c382f142-c826-4e4a-8ab1-b23d8b8f926c", "exchange": "ARCO", "price": "0.60", "nbbo_ask": "0.65", "tags": [ "ask_side", "bullish" ], "size": 2371, "expiry": "2026-04-17", "mid_vol": 0, "strike": "70", "executed_at": "2026-03-11T15:17:46.346162Z", "canceled": false, "report_flags": [ "futures_floor" ], "underlying_price": "55.555", "volume": 2500, "nbbo_bid": "0.40", "rho": "0.00648586626657072", "no_side_vol": 0, "upstream_condition_detail": "mlft", "vega": "0.03660808151831155" }, { "underlying_symbol": "DINO", "open_interest": 5452, "ask_vol": 2376, "ewma_nbbo_bid": "1.85", "bid_vol": 129, "option_type": "call", "delta": "0.3518520218048382", "ewma_nbbo_ask": "2.10", "multi_vol": 2501, "implied_volatility": "0.520552934579374", "theo": "2.000000000000004", "stock_multi_vol": 0, "theta": "-0.0462715923458194", "gamma": "0.04030489876911814", "option_chain_id": "DINO260417C00060000", "premium": "474200.00", "id": "dfa96f76-7311-4a78-9863-d56ad256781d", "exchange": "ARCO", "price": "2.00", "nbbo_ask": "2.10", "tags": [ "ask_side", "bullish" ], "size": 2371, "expiry": "2026-04-17", "mid_vol": 0, "strike": "60", "executed_at": "2026-03-11T15:17:46.346147Z", "canceled": false, "report_flags": [ "futures_floor" ], "underlying_price": "55.555", "volume": 2505, "nbbo_bid": "1.85", "rho": "0.01778751083946871", "no_side_vol": 0, "upstream_condition_detail": "mlft", "vega": "0.065641409398948" } ] } ```